Environment issue if the env is not specifically defined
Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: API   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When using puppet in a "default" single environment scenario (as in, no [production] stanzas in the puppet.conf)  the smart proxy

returns an empty array of environments when you query the http://foreman.example.com:8443/puppet/environments URL

Associated revisions

Revision d396690f - 07/18/2012 03:46 AM - Greg Sutcliffe 

fixes #1733 - Environment issue if the env is not specifically defined

History

#1 - 07/05/2012 07:08 PM - Greg Sutcliffe

- Status changed from New to Ready For Testing

- Assignee set to Greg Sutcliffe

- % Done changed from 0 to 80

We're testing for conf[:main][:modulepath] || conf[:master][:modulepath] but a 'basic' puppet.conf (like http://pastebin.com/1w40gqWc) has neither. We

can fix this by adding the global Puppet default modulepath.

Pull request with proposed fix at: https://github.com/theforeman/smart-proxy/pull/23

#2 - 07/05/2012 07:13 PM - Jeff Palmer

I have applied this patch.

Afterwards,  the smart-proxy shows the environment,  it also returns a proper json list of the classes for the environment.

Additionally, the foreman UI now allows importing the puppet classes as expected.

#3 - 07/18/2012 03:45 AM - Ohad Levy

- Target version set to 1.0

#4 - 07/18/2012 03:50 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 80 to 100

Applied in changeset d396690f1927ad341c704316f3bb7d9b9d0fc14e.
